org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class GridDhtPartitionsSingleRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionsSingleRequest

All Implemented Interfaces:
  Serializable, Message

    public class GridDhtPartitionsSingleRequest
    extends GridCacheMessage

Request for single partition info.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`CACHE_MSG_INDEX_FIELD_NAME, cacheId, MAX_CACHE_MSG_LOOKUP_INDEX`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtPartitionsSingleRequest()` Required by `Externalizable`.

### Method Summary

Methods
`boolean` `allowForStartup()`
`byte` `directType()` Gets message type.
`GridDhtPartitionExchangeId` `exchangeId()`
`byte` `fieldsCount()` Gets fields count.
`GridCacheVersion` `lastVersion()`
`boolean` `partitionExchangeMessage()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`cacheId, cacheId, classError, deployInfo, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onClassError, prepare, prepareMarshal, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, topologyVersion, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtPartitionsSingleRequest

    public GridDhtPartitionsSingleRequest()

Required by `Externalizable`.

### Method Detail

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Returns:
  Fields count.

#### toString

    public String toString()

#### allowForStartup

    public boolean allowForStartup()

Overrides:
  `allowForStartup` in class `GridCacheMessage`
Returns:
  `True` if this message is preloader message.

#### partitionExchangeMessage

    public boolean partitionExchangeMessage()

Overrides:
  `partitionExchangeMessage` in class `GridCacheMessage`
Returns:
  `True` if this message is partition exchange message.

#### exchangeId

    public GridDhtPartitionExchangeId exchangeId()

Returns:
  Exchange ID.

#### lastVersion

    @Nullable
    public GridCacheVersion lastVersion()

Returns:
  Last used version among all nodes.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015